package fr.titionfire.ffsaf.net2.request;

import fr.titionfire.ffsaf.net2.Client_Thread;
import fr.titionfire.ffsaf.net2.data.SimpleClubModel;

import java.util.ArrayList;

public class SReqClub {
    public static void sendIfNeed(ArrayList<Client_Thread> client_Thread, SimpleClubModel club) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(club, "sendClub");
        }
    }
    public static void sendAddIfNeed(ArrayList<Client_Thread> client_Thread, SimpleClubModel club) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(club, "sendAddClub");
        }
    }
    public static void sendRmIfNeed(ArrayList<Client_Thread> client_Thread, long club) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(club, "sendRmClub");
        }
    }
}
